//
//  AppDelegate+LoadData.swift
//  SpeakEasyLearnEnglish
//
//  Created by edy on 2025/7/11.
//

import UIKit
import GoogleSignIn

extension AppDelegate {
    
    func initData() -> Void {
        GIDSignIn.sharedInstance.configuration = GIDConfiguration(clientID: googleClent)
        SpeakKeyboardManager.share.monitor()
        _ = SpeakVideoPlayer.share
        SpeakElePublicManager.share.loadData()
        IAPViewModel.share.fetchProducts { product in // 初始化内购
            Print("内购列表\(product?.count ?? 0)")
        }
    }
    
}
